# This file created by conda-build 26.3.0
# ------------------------------------------------

package:
  name: libkrb5
  version: 1.22.2
source:
  url: https://github.com/krb5/krb5/archive/krb5-1.22.2-final.tar.gz
  sha256: 289f5bb81d1f2f8d5eecebe56a056aeed95d35fd9bb4a7071c5dd7ad4b3fe888
build:
  run_exports:
    - libkrb5 >=1.22.2,<1.23.0a0
  ignore_run_exports:
    - libedit
    - libstdcxx-ng
    - lmdb
    - ncurses
  number: 0
  string: hbd13c29_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - autoconf 2.71 pl5340h5eee18b_0
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - bison 3.7.5 h2531618_1
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - flex 2.6.4 ha10e3a4_1
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_14
    - gettext 0.25.1 hd8bbc44_1
    - gettext-tools 0.25.1 hecf7c64_1
    - gxx_impl_linux-64 14.3.0 he634eba_4
    - gxx_linux-64 14.3.0 hca8765c_14
    - icu 78.3 h84d19a5_0
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libasprintf 0.25.1 ha6c9436_1
    - libasprintf-devel 0.25.1 ha6c9436_1
    - libexpat 2.8.1 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_8
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgcc-ng 15.2.0 h166f726_8
    - libgettextpo 0.25.1 h64fc44f_1
    - libgettextpo-devel 0.25.1 h64fc44f_1
    - libgomp 15.2.0 h4751f2c_8
    - libiconv 1.18 h75a1612_0
    - libltdl 2.6.0 h47b2149_0
    - libmpdec 4.0.0 h5eee18b_0
    - libsanitizer 14.3.0 hd4faa28_4
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-devel_linux-64 14.3.0 he7458c1_104
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libtool 2.6.0 h7354ed3_0
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libxml2 2.14.4 h4481af1_1
    - libzlib 1.3.2 h47b2149_0
    - lz4-c 1.9.4 h6a678d5_1
    - m4 1.4.18 h4e445db_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - perl 5.42.2 1_h47b2149_perl5
    - pkg-config 0.29.2 h1bed415_8
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.53.2 h795bf6d_0
    - sysroot_linux-64 2.28 h3108a97_1
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026b he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - ca-certificates 2026.5.14 h06a4308_0
    - libedit 3.1.20230828 h5eee18b_0
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libstdcxx 15.2.0 h39759b7_8
    - lmdb 0.9.31 hb25bd0a_0
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
  run:
    - __glibc >=2.28,<3.0.a0
    - libgcc >=14
    - libstdcxx >=14
    - lmdb
    - openssl >=3.5.7,<4.0a0
  run_constrained:
    - krb5 1.22.2
test:
  commands:
    - set -x
    - test -f $PREFIX/lib/libkrb5${SHLIB_EXT}
    - test -f $PREFIX/include/krb5.h
    - test -f $PREFIX/include/gssapi.h
    - test -f $PREFIX/include/gssapi/gssapi.h
    - test -f $PREFIX/include/krb5/krb5.h
    - test -f $PREFIX/bin/krb5-config
about:
  home: https://web.mit.edu/kerberos
  license: MIT
  license_family: MIT
  license_file: doc/notice.rst
  summary: A network authentication protocol.
  description: 'Kerberos is a network authentication protocol. It is designed to provide
    strong authentication for client/server applications by using secret-key cryptography.

    '
  doc_url: https://web.mit.edu/kerberos/krb5-1.21/doc/index.html
  dev_url: https://github.com/krb5/krb5
extra:
  recipe-maintainers:
    - chenghlee
    - mariusvniekerk
    - mingwandroid
    - ocefpaf
    - pelson
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/krb5-feedstock
  sha: c5561007881d9ede6926b6831b39d0a7a1e24c74
  task_id: BTDum1sYRiyZmOwE2eemPQ
  task_run_id: '0'
  pbp_graph_uuid: 0851d2cd-75ae-4f03-8e80-ff04c91b423c
